gnutls_db_set_remove_function(3)

NAME
gnutls_db_set_remove_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_db_set_remove_function(gnutls_session_t session, gnutls_db_remove_func rem_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_db_remove_func rem_func
    is the function.

DESCRIPTION
Sets the function that will be used to remove data from the resumed sessions database. This function must return 0 on success.

The first argument to rem_func will be null unless gnutls_db_set_ptr() has been called.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/